Subject: Re: [Bitcoin-development] Bloom bait

From: Mike Hearn <[email-masked]>
Date: Sat, 7 Jun 2014 19:22:56 +0800

You can send different bloom filters to different peers too, so I'm not
sure why you're listing subsetting as a unique advantage of prefix filters.

The main advantage of prefix filters seems to be faster lookups if the node
is calculating a sorted index for each block, and the utxo commitment
stuff, both of those would be cool but involve imposing extra costs on
nodes. We lack models that let us understand the tradeoffs involved in
various indexing schemes, I feel.